System requirements

PrestaMailchimp being a module exclusively developed for PrestaShop and Maichimp, you must have both solutions in order to use this module.

If this has not yet been done:

  1. Download and install PrestaShop
  2. Register and discover Mailchimp

Compatible PrestaShop versions

The development of the module is made to respect as closely as possible the constraints imposed by the evolution of the PrestaShop solution, nevertheless, the oldest versions are regularly abandoned to keep a stable and efficient code.

Current supported versions:

  • PrestaShop 1.5.x
  • PrestaShop 1.6.x
  • PrestaShop 1.7.x

Tips & Advice

Often, on the PrestaShop forum, users of the solution try to find out about the right hosting provider to take to install the script.
I therefore advise you PlanetHoster where this site is stored on the free hosting offer which already offers many services (the free offer should not be used to put your PrestaShop shop).